View Issue Details

IDProjectCategoryView StatusLast Update
11500Feature requests[All Projects] Accessibilitypublic2018-04-06 11:48
Reporterrainerwa Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11500: output of function {QUESTION_MANDATORY} is not readable for screenreaders
Description

Please insert with function {QUESTION_MANDATORY} signs which could be read by screenreaders.
For example:
< s p a n c l a s s = " s r - o n l y " > ( P f l i c h t f r a g e ) < / s p a n >

in addition to:

< s p a n c l a s s = " t e x t - d a n g e r a s t e r i s k " > < / s p a n >

Please use bootstrap-screenreader-functions.
The "*" inserted by {QUESTION_MANDATORY} is not readable for screenreders!

TagsNo tags attached.

Activities

rainerwa

rainerwa

2016-07-26 17:09

reporter  

pflichtfrage.lsa (3,550 bytes)
DenisChenu

DenisChenu

2016-07-28 19:09

developer   ~40106

See : https://manual.limesurvey.org/Public_Survey_Views

For 2.06 : you can test :

I think i iunclude : https://github.com/SondagesPro/LS-moreAccessibility/blob/master/moreAccessibility.php#L272

DenisChenu

DenisChenu

2016-10-18 01:58

developer   ~41411

Resolved in : https://github.com/LimeSurvey/LimeSurvey/commit/3d21e0b9f127cb9d632f666ff2d929f1b1e29842#diff-f9b182e89e8235aaf7e0d75122ee7227L6

Use :<small class="text-danger asterisk fa fa-asterisk pull-left small" aria-hidden='true'></small><span class="sr-only text-danger asterisk">(gt("Mandatory"))<span>

DenisChenu

DenisChenu

2016-10-18 02:03

developer   ~41412

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=21069

Related Changesets

LimeSurvey: answers_html 3d21e0b9

2016-10-18 01:40:09

DenisChenu

Details Diff
New feature 11797: allow update HTML of core message and core form in template
Dev: Adding 2 pstpl file for form and message
Dev: adding a lot of views : some call another, can be improved
Dev: the 2 pstpl file can be easily added (from default) when update (BD)
Dev: or added when import template
Affected Issues
11500, 11797
mod - application/controllers/RegisterController.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/libraries/Load_answers.php Diff File
mod - application/libraries/Save.php Diff File
mod - application/views/layouts/survey.php Diff File
rm - application/views/register/display.php Diff File
rm - application/views/register/registerForm.php Diff File
add - application/views/survey/frontpage/captchaForm/error.php Diff File
add - application/views/survey/frontpage/captchaForm/form.php Diff File
add - application/views/survey/frontpage/captchaForm/heading.php Diff File
add - application/views/survey/frontpage/captchaForm/message.php Diff File
rm - application/views/survey/frontpage/enterCaptcha.php Diff File
rm - application/views/survey/frontpage/enterToken.php Diff File
add - application/views/survey/frontpage/loadForm/error.php Diff File
add - application/views/survey/frontpage/registerForm/form.php Diff File
add - application/views/survey/frontpage/registerForm/heading.php Diff File
add - application/views/survey/frontpage/registerForm/message.php Diff File
add - application/views/survey/frontpage/saveForm/error.php Diff File
add - application/views/survey/frontpage/tokenForm/error.php Diff File
add - application/views/survey/frontpage/tokenForm/form.php Diff File
add - application/views/survey/frontpage/tokenForm/heading.php Diff File
add - application/views/survey/frontpage/tokenForm/message.php Diff File
mod - application/views/survey/question_help/asterisk.php Diff File
add - application/views/survey/system/formItem/captcha.php Diff File
rm - application/views/survey/system/loadForm/error.php Diff File
mod - application/views/survey/system/message.php Diff File
add - application/views/survey/system/required.php Diff File
add - templates/basic/pstpl/form.pstpl Diff File
mod - templates/basic/pstpl/register.pstpl Diff File
add - templates/default/views/form.pstpl Diff File
add - templates/test/pstpl/form.pstpl Diff File

LimeSurvey: answers_html f1882096

2016-10-18 02:02:40

DenisChenu

Details Diff
Fixed issue 11500: asterisk for srennreader
Dev: improve sentence : adding bracket in translation ? Unsure
Affected Issues
11500
mod - application/views/survey/question_help/asterisk.php Diff File

Issue History

Date Modified Username Field Change
2016-07-26 17:09 rainerwa New Issue
2016-07-26 17:09 rainerwa File Added: pflichtfrage.lsa
2016-07-28 19:09 DenisChenu Note Added: 40106
2016-07-28 19:11 DenisChenu Assigned To => DenisChenu
2016-07-28 19:11 DenisChenu Status new => assigned
2016-10-18 01:56 DenisChenu Changeset attached => LimeSurvey answers_html 3d21e0b9
2016-10-18 01:58 DenisChenu Status assigned => resolved
2016-10-18 01:58 DenisChenu Resolution open => fixed
2016-10-18 01:58 DenisChenu Fixed in Version => 3.0
2016-10-18 01:58 DenisChenu Note Added: 41411
2016-10-18 02:03 DenisChenu Changeset attached => LimeSurvey answers_html f1882096
2016-10-18 02:03 DenisChenu Note Added: 41412
2018-04-06 11:48 markusfluer Status resolved => closed